Bug 733872 - No HDMI audio though ATi Radeon HD5730/1GB-VRAM card.
Summary: No HDMI audio though ATi Radeon HD5730/1GB-VRAM card.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd
Version: 16
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Depends On:
Blocks: 734913
TreeView+ depends on / blocked
 
Reported: 2011-08-28 02:51 UTC by Edward O'Callaghan
Modified: 2011-09-01 08:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 734913 (view as bug list)
Environment:
Last Closed: 2011-08-29 09:15:25 UTC


Attachments (Terms of Use)
dmesg (86.87 KB, application/octet-stream)
2011-08-28 02:51 UTC, Edward O'Callaghan
no flags Details
Xorg.0.log (38.44 KB, text/plain)
2011-08-28 02:52 UTC, Edward O'Callaghan
no flags Details

Description Edward O'Callaghan 2011-08-28 02:51:09 UTC
Created attachment 520196 [details]
dmesg

Description of problem:

No audio output with open source drivers, binary from ATi works fine however.

Laptop is a Asus N61J Core i7 machine with a ATi Radeon HD5730/1GB-VRAM card.

Version-Release number of selected component (if applicable):
Linux dexter.auroraux.org 3.1.0-0.rc3.git0.0.fc16.x86_64 #1 SMP Mon Aug 22 21:33:03 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
1. Connect HDMI TV to Asus N61J laptop
  
Actual results:
No Audio

Expected results:
Audio

Additional info:

xorg-x11-drv-ati-6.14.2-2.20110727git8c9266ed2.fc16.x86_64
xorg-x11-drv-s3virge-1.10.4-9.fc16.x86_64
xorg-x11-fonts-misc-7.5-4.fc15.noarch
xorg-x11-drv-nv-2.1.18-8.fc16.x86_64
xorg-x11-drv-elographics-1.3.0-2.fc16.x86_64
xorg-x11-drv-voodoo-1.2.4-7.fc16.x86_64
xorg-x11-drv-mouse-1.7.1-2.fc16.x86_64
xorg-x11-server-utils-7.5-5.fc16.x86_64
xorg-x11-utils-7.5-2.fc15.x86_64
xorg-x11-server-Xorg-1.10.99.902-1.20110818.fc16.x86_64
xorg-x11-drv-acecad-1.5.0-2.fc16.x86_64
xorg-x11-drv-nouveau-0.0.16-27.20110720gitb806e3f.fc16.x86_64
xorg-x11-drv-ast-0.91.10-7.fc16.x86_64
xorg-x11-drv-mach64-6.9.0-2.fc16.x86_64
xorg-x11-drv-rendition-4.2.4-7.fc16.x86_64
xorg-x11-drv-synaptics-1.4.1-3.fc16.x86_64
xorg-x11-drv-vmmouse-12.7.0-2.fc16.x86_64
xorg-x11-drv-cirrus-1.3.2-10.fc16.x86_64
xorg-x11-xinit-1.3.1-1.fc16.x86_64
xorg-x11-drv-qxl-0.0.21-4.fc16.x86_64
xorg-x11-drv-fpit-1.4.0-2.fc16.x86_64
xorg-x11-drv-dummy-0.3.4-7.fc16.x86_64
xorg-x11-drv-penmount-1.5.0-3.fc16.x86_64
xorg-x11-drv-i128-1.3.4-9.fc16.x86_64
xorg-x11-drv-v4l-0.2.0-14.fc16.x86_64
xorg-x11-drv-tdfx-1.4.3-9.fc16.x86_64
xorg-x11-drv-openchrome-0.2.904-15.fc16.x86_64
xorg-x11-resutils-7.5-2.fc15.x86_64
xorg-x11-drv-savage-2.3.2-5.fc16.x86_64
xorg-x11-drv-intel-2.16.0-2.fc16.x86_64
xorg-x11-drv-hyperpen-1.4.1-2.fc16.x86_64
xorg-x11-drv-glint-1.2.5-2.fc16.x86_64
xorg-x11-drv-mutouch-1.3.0-2.fc16.x86_64
xorg-x11-drv-vesa-2.3.0-9.fc16.x86_64
xorg-x11-drv-void-1.4.0-2.fc16.x86_64
xorg-x11-drv-r128-6.8.1-11.fc16.x86_64
xorg-x11-drv-mga-1.4.13-8.fc16.x86_64
xorg-x11-fontsISO8859-1-100dpi7.5-4.fc15.noarch                  
xorg-x11-drv-keyboard-1.6.0-2.fc16.x86_64                                                             xorg-x11-proto-devel-7.6-12.fc16.noarch                                                              xorg-x11-drv-evdev-2.6.99-3.20110601giteaf202531.fc16.x86_64                                       
xorg-x11-drv-aiptek-1.4.1-2.fc16.x86_64
xorg-x11-drv-siliconmotion-1.7.5-2.fc16.x86_64
xorg-x11-drv-wacom-0.11.99-4.20110527.fc16.x86_64
xorg-x11-drv-vmware-11.0.3-6.fc16.x86_64
xorg-x11-drv-i740-1.3.2-9.fc16.x86_64
xorg-x11-drv-fbdev-0.4.2-2.fc16.x86_64
xorg-x11-drivers-7.4-2.fc15.x86_64
xorg-x11-server-common-1.10.99.902-1.20110818.fc16.x86_64
xorg-x11-drv-sisusb-0.9.4-7.fc16.x86_64
xorg-x11-xauth-1.0.6-1.fc16.x86_64
xorg-x11-font-utils-7.5-6.fc15.x86_64
xorg-x11-apps-7.6-2.fc15.x86_64
xorg-x11-drv-trident-1.3.4-7.fc16.x86_64
xorg-x11-drv-sis-0.10.3-7.fc16.x86_64
xorg-x11-xkb-utils-7.5-5.fc16.x86_64
xorg-x11-drv-apm-1.2.3-8.fc16.x86_64



[root@dexter ~]# lspci -vvv :...

01:00.1 Audio device: ATI Technologies Inc Redwood HDMI Audio [Radeon HD 5600 Series]
        Subsystem: ASUSTeK Computer Inc. Device aa60
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin B routed to IRQ 63
        Region 0: Memory at d0040000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 3
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [58] Express (v2) Legacy Endpoint, MSI 00
                DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s <4us, L1 unlimited
                        ExtTag+ AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
                        MaxPayload 256 bytes, MaxReadReq 256 bytes
                DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
                LnkCap: Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Latency L0 <64ns, L1 <1us
                        ClockPM- Surprise- LLActRep- BwNot-
                LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
                DevCap2: Completion Timeout: Not Supported, TimeoutDis-
                DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
                LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
                         Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
                         Compliance De-emphasis: -6dB
                LnkSta2: Current De-emphasis Level: -6dB
        Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
                Address: 00000000fee2200c  Data: 4182
        Capabilities: [100 v1] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Kernel driver in use: snd_hda_intel
        Kernel modules: snd-hda-intel


If there is anything else, let us know.

Comment 1 Edward O'Callaghan 2011-08-28 02:52:58 UTC
Created attachment 520197 [details]
Xorg.0.log

Comment 2 Dave Airlie 2011-08-29 09:15:25 UTC
currently there is no upstream support for HDMI audio.

so not really a Fedora specific issue, there should be a bug on bugs.freedesktop.org for this. AMD are trying to get the code released they have internally but its not happening as fast as we'd like.

Comment 3 Edward O'Callaghan 2011-08-30 02:40:26 UTC
(In reply to comment #2)
> currently there is no upstream support for HDMI audio.
> 
> so not really a Fedora specific issue, there should be a bug on
> bugs.freedesktop.org for this. AMD are trying to get the code released they
> have internally but its not happening as fast as we'd like.

Thanks Dave,
Filed upstream:
https://bugs.freedesktop.org/show_bug.cgi?id=40476

Lets hope the lawyers can twiddle their thumbs quicker..

Comment 4 Lubos Kocman 2011-09-01 08:05:05 UTC
Hello Edward this issue was cloned also to our RHEL 6 product https://bugzilla.redhat.com/show_bug.cgi?id=733872


Note You need to log in before you can comment on or make changes to this bug.